import { Component } from '@angular/core';
import { TesService } from './tes.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Strudelv2';
  private loggedin: Boolean = false;
  private errmsg: string='';
  public authorised: boolean;
  // private testingAuth: boolean;

  constructor(private tesService: TesService,) {
   };

  ngOnInit() {
    setTimeout(() =>  { this.tesService.authorised.subscribe(authorised => { this.authorised = authorised }); });
    // this.tesService.testingAuth.subscribe(testingAuth => { this.testingAuth = testingAuth; console.log('testingAuth updated'+this.testingAuth) });
    // this.testingAuth = false;
  }

  login() {
    console.log("login");
    this.tesService.login()
  }

  logout() {
    console.log("logout");
    this.tesService.logout();
  }
}
