import { Component, OnInit } from '@angular/core';
import { TesService } from '../tes.service';

@Component({
  selector: 'app-teserrors',
  templateUrl: './teserrors.component.html',
  styleUrls: ['./teserrors.component.css']
})
export class TeserrorsComponent implements OnInit {

  public statusMsg: string;

  constructor(private tesService: TesService,) { }

  ngOnInit() {
    this.tesService.getstatusMsgSubject().subscribe( msg => this.getNewMessage(msg));
  }

  getNewMessage(msg) {
    this.statusMsg = msg;
  }

}
